package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.EqsSummaryDto;
import com.junmp.jyzb.api.bean.dto.InventoryDto;
import com.junmp.jyzb.api.bean.query.CabinetReq;
import com.junmp.jyzb.api.bean.query.InventoryReq;

import com.junmp.jyzb.api.bean.query.WarehouseReq;
import com.junmp.jyzb.api.bean.req.EquipmentBindReq;
import com.junmp.jyzb.entity.Inventory;
import com.junmp.jyzb.utils.ResponseResult;
import com.junmp.v2.db.api.page.PageResult;

import java.util.List;
import java.util.Map;

public interface InventoryService extends IService<Inventory> {
    InventoryDto getInventoryDetail(InventoryReq msg);

    ResponseResult getEquipmentInfo(Map<String, Object> msg);

    ResponseResult setInventoryMsg();


    ResponseResult getInventoryList(Map<String, Object> msg);


    List<EqsSummaryDto> getInventoryByOrgId(InventoryReq req);

    ResponseResult getInventoryDevelop();

    boolean UpdateWarehouseInsNum(WarehouseReq req);

    boolean UpdateCabinetInsNum(CabinetReq req);

    boolean InvertoryBind(EquipmentBindReq req);

    List<EqsSummaryDto> GetInvInfoByEpc(InventoryReq req);

}
